org.labkey.remoteapi.di

## Class ResetTransformStateResponse

- java.lang.Object
- - org.labkey.remoteapi.CommandResponse
  - - org.labkey.remoteapi.di.BaseTransformResponse
    - - org.labkey.remoteapi.di.ResetTransformStateResponse

-     public class ResetTransformStateResponse
      extends BaseTransformResponse

  User: tgaluhn Date: 10/29/13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResetTransformStateResponse(java.lang.String text, int statusCode, java.lang.String contentType, org.json.simple.JSONObject json, Command sourceCommand)` Constructs a new CommandResponse, initialized with the provided response text and status code.

  - ### Method Summary

    - ### Methods inherited from class org.labkey.remoteapi.di.BaseTransformResponse

      `getSuccess`

    - ### Methods inherited from class org.labkey.remoteapi.CommandResponse

      `findObject, getContentType, getParsedData, getProperty, getProperty, getRequiredVersion, getSourceCommand, getStatusCode, getText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResetTransformStateResponse

          public ResetTransformStateResponse(java.lang.String text,
                                             int statusCode,
                                             java.lang.String contentType,
                                             org.json.simple.JSONObject json,
                                             Command sourceCommand)

      Constructs a new CommandResponse, initialized with the provided response text and status code.
      Parameters:
        `text` - The response text
        `statusCode` - The HTTP status code
        `contentType` - The response content type
        `json` - The parsed JSONObject (or null if JSON was not returned).
        `sourceCommand` - A copy of the command that created this response